<?php
/**********************************************************************

	Released under the terms of the GNU General Public License, GPL,
***********************************************************************/
class estimation_app extends application
{
	function estimation_app()
	{
            $this->application("Estimation", _($this->help_context = "&Estimation"));

            $this->add_module(_("Transactions"));
                $this->add_lapp_function(0, _('&Projects'),"estimation/manage/est_projects.php?", 'SA_EST_PROJECTS', MENU_TRANSACTION);
                $this->add_lapp_function(0, _('&Project BOQ Item Groups'),"estimation/manage/est_project_boq_item_groups.php?", 'SA_EST_PROJECT_BOQ_ITEM_GROUPS', MENU_TRANSACTION);
                $this->add_lapp_function(0, _('&Project BOQ Items'),"estimation/manage/est_project_boq_items.php?", 'SA_EST_PROJECT_BOQ_ITEMS', MENU_TRANSACTION);
                $this->add_lapp_function(0, "","");
                $this->add_lapp_function(0, _("Project Competitors"),"estimation/manage/est_project_competitors.php?", 'SA_EST_COMPETITORS', MENU_TRANSACTION);

                $this->add_rapp_function(0, _("Approve Projects"),"estimation/inquiry/est_unapproved_projects_inquiry.php?", 'SA_UNAPPROVED_PROJECTS_INQ', MENU_TRANSACTION);
                $this->add_rapp_function(0, "","");
                $this->add_rapp_function(0, _("Reopen Projects"),"estimation/est_reopen_project.php?", 'SA_REOPEN_PROJECTS', MENU_TRANSACTION);
                $this->add_rapp_function(0, "","");
                $this->add_rapp_function(0, _('&Copy Estimation Project to A System Project'),"estimation/manage/est_copy_est_project_to_sys_project.php?", 'SA_EST_COPY_TO_SYS_PROJECT', MENU_TRANSACTION);
            
        
            $this->add_module(_("Inquiries and Reports"));
                $this->add_lapp_function(1, _("Project Competitor Inquiry"),"estimation/inquiry/est_project_competitor_inquiry.php?", 'SA_EST_COMPETITOR_INQ', MENU_INQUIRY);
                
                $this->add_rapp_function(1, _("Project Status View"),"estimation/inquiry/est_project_status_view.php?", 'SA_EST_PROJECT_STATUS_VIEW', MENU_INQUIRY);

        
            $this->add_module(_("Maintenance"));
                $this->add_lapp_function(2, _('&Initiate Projects'),"estimation/manage/est_initiate_project.php?", 'SA_EST_INITIATE_PROJECTS', MENU_ENTRY);
                
//                $this->add_lapp_function(2, _('&Project Sites'),"estimation/manage/est_project_sites.php?", 'SA_PROJECTS', MENU_ENTRY);
        
            //$this->add_rapp_function(2, _('&Copy Estimation Project to Another Estimation Project'),"estimation/manage/est_copy_est_project_to_another_est_project.php?", 'SA_PROJECT_BOQ_ITEMS', MENU_ENTRY);

		$this->add_extensions();
	}
}


?>










